Package com.sap.ai.sdk.orchestration.model

# Enum Class EmbeddingsInput.TypeEnum

java.lang.Object
java.lang.Enum<EmbeddingsInput.TypeEnum>
com.sap.ai.sdk.orchestration.model.EmbeddingsInput.TypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<EmbeddingsInput.TypeEnum>`, `Constable`

Enclosing class:
  `EmbeddingsInput`

public static enum EmbeddingsInput.TypeEnum extends Enum<EmbeddingsInput.TypeEnum>
Gets or Sets type

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLASSIFICATION`
  The CLASSIFICATION option of this EmbeddingsInput
  `CLUSTERING`
  The CLUSTERING option of this EmbeddingsInput
  `DOCUMENT`
  The DOCUMENT option of this EmbeddingsInput
  `IMAGE`
  The IMAGE option of this EmbeddingsInput
  `QUERY`
  The QUERY option of this EmbeddingsInput
  `SEARCH_DOCUMENT`
  The SEARCH_DOCUMENT option of this EmbeddingsInput
  `SEARCH_QUERY`
  The SEARCH_QUERY option of this EmbeddingsInput
  `TEXT`
  The TEXT option of this EmbeddingsInput
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this EmbeddingsInput

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmbeddingsInput.TypeEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static EmbeddingsInput.TypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EmbeddingsInput.TypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final EmbeddingsInput.TypeEnum TEXT
    The TEXT option of this EmbeddingsInput

  - ### DOCUMENT

    public static final EmbeddingsInput.TypeEnum DOCUMENT
    The DOCUMENT option of this EmbeddingsInput

  - ### QUERY

    public static final EmbeddingsInput.TypeEnum QUERY
    The QUERY option of this EmbeddingsInput

  - ### SEARCH_DOCUMENT

    public static final EmbeddingsInput.TypeEnum SEARCH_DOCUMENT
    The SEARCH_DOCUMENT option of this EmbeddingsInput

  - ### SEARCH_QUERY

    public static final EmbeddingsInput.TypeEnum SEARCH_QUERY
    The SEARCH_QUERY option of this EmbeddingsInput

  - ### CLASSIFICATION

    public static final EmbeddingsInput.TypeEnum CLASSIFICATION
    The CLASSIFICATION option of this EmbeddingsInput

  - ### CLUSTERING

    public static final EmbeddingsInput.TypeEnum CLUSTERING
    The CLUSTERING option of this EmbeddingsInput

  - ### IMAGE

    public static final EmbeddingsInput.TypeEnum IMAGE
    The IMAGE option of this EmbeddingsInput

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final EmbeddingsInput.TypeEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this EmbeddingsInput

- ## Method Details

  - ### values

    public static EmbeddingsInput.TypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EmbeddingsInput.TypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<EmbeddingsInput.TypeEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static EmbeddingsInput.TypeEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type EmbeddingsInput